<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$theme = $row['theme'];
$login = $row['login'];

echo "<title>Поиск</title>";
if ( 20 < $theme)
{
echo "<link rel=\"StyleSheet\" type=\"text/css\" href=\"style/0".$s.".css\"></head><body><div class=\"logo\"></div>";
}
if ( 0 or 1 or 2 or 3 or 4 or 5  or 6 or 7 or 8 or 9 or 10 == $theme)
{
echo "<style type=\"text/css\">";
echo "body { margin: auto; max-width: 500px; font: 12px Arial; color: #808080; background-color: #000000; }";
echo "a:link,a:visited { text-decoration: none; color: b0c4db; }";
echo "div { background-color: #202020; border-style:solid; border-width: 1px; }";
echo "img { vertical-align: middle; }";
echo "</style>";
echo "</head>";
echo "<body>";
}
if ( 20 < $theme)
{
}
$who = check( $who );
if ( empty( $do ) )
{
echo "<div class=t>Поиск</div>";
echo "<form method=\"post\" action=\"search.php?ci={$ci}\">";
echo "Кого искать?<br/>";
echo "<input type=\"text\" name=\"who\"/><br/>";
echo "<input type=\"hidden\" name=\"do\" value=\"find\"/>";
echo "<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>";
echo "<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/>";
echo "<input value=\"Искать\"  type=\"submit\" class=\"cp\"/>";
echo "</form>";
}
else
{
echo "<div>Результаты поиска</div>";
$who = substr( $who, 0, 30 );
$who = check( $who );
$r = mysql_query( "SELECT id, login from users WHERE login LIKE '%".$who."%'  and ci='".$ci."' order by id desc limit 10 " );
if ( mysql_num_rows( $r ) == 0 )
{
echo "По запросу <b><u>{$who}</u></b> ничего не найдено...<br/>";
}
while ( $a = mysql_fetch_array( $r ) )
{
++$i;
echo "<b>{$i}.\r<a href=\"user.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;dbid={$a['id']}\">{$a['login']}</a></b><br/>";
}
}
if ( isset( $do ) )
{
echo "---<br/><a href=\"search.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;ref={$ref}\">Искать еще</a><br/>---<br/>";
}
$end = gettime( );
echo "<a href=\"../enter.php?ci={$ci}&amp;id={$id}&amp;pass={$pass}&amp;url={$url}&amp;ref={$ref}\">Прихожая</a>";

require("../inc/coper.php");        /// Копирайт
echo "<p align=\"center\">";
echo "[".round( $end - $mystart, 5 )."]<p>";echo "<p>{$ip}</p>";
echo "</body></html>";
mysql_close( $link );
?>